#ifndef EPRINTF_H
#define EPRINTF_H
#include <stdnoreturn.h>

noreturn void eprintf(const char *fmt, ...)
	__attribute__((format(printf, 1, 2)));
void weprintf(const char *fmt, ...)
	__attribute__((format(printf, 1, 2)));
char *estrdup(const char *str);
void *emalloc(size_t size);
void *ecalloc(size_t nmemb, size_t size);
void *erealloc(void *p, size_t size);
char *progname(void);
void setprogname(const char *name);

#endif /* !EPRINTF_H */
